# Gimp.Drawable.prototype.update

    function update(x: Number(gint), y: Number(gint), width: Number(gint), height: Number(gint)): Boolean {
        // Gjs wrapper for gimp_drawable_update()
    }

Update the specified region of the drawable.

This procedure updates the specified region of the drawable. The (x, y) coordinate pair is relative to the drawable's origin, not to the image origin. Therefore, the entire drawable can be updated using (0, 0, width, height).

x

  x coordinate of upper left corner of update region.

y

  y coordinate of upper left corner of update region.

width

  Width of update region.

height

  Height of update region.

Returns

  TRUE on success.